Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.daemon
Interface DaemonController

All Known Implementing Classes:
  DaemonLoader.Controller

    public interface DaemonController

Interface which defines methods needed by the DaemonLoader.

Version:
  1.0 (SVN $Revision: 925054 $)
Author:
  Pier Fumagalli

Method Summary
`void` | `fail()` Shudown daemon and log failed message.
`void` | `fail(java.lang.Exception exception)` Shudown daemon and log failed message.
`void` | `fail(java.lang.String message)` Shudown daemon and log failed message.
`void` | `fail(java.lang.String message, java.lang.Exception exception)` Shudown daemon and log failed message.
`void` | `reload()` Reload daemon
`void` | `shutdown()` Shutdown the daemon.

Method Detail

### shutdown

    void shutdown()
                  throws java.lang.IllegalStateException

  Shutdown the daemon.

  Throws:
    `java.lang.IllegalStateException`

### reload

    void reload()
                throws java.lang.IllegalStateException

  Reload daemon

  Throws:
    `java.lang.IllegalStateException`

### fail

    void fail()
              throws java.lang.IllegalStateException

  Shudown daemon and log failed message.

  Throws:
    `java.lang.IllegalStateException`

### fail

    void fail(java.lang.String message)
              throws java.lang.IllegalStateException

  Shudown daemon and log failed message.

  Throws:
    `java.lang.IllegalStateException`

### fail

    void fail(java.lang.Exception exception)
              throws java.lang.IllegalStateException

  Shudown daemon and log failed message.

  Throws:
    `java.lang.IllegalStateException`

### fail

    void fail(java.lang.String message,
              java.lang.Exception exception)
              throws java.lang.IllegalStateException

  Shudown daemon and log failed message.

  Throws:
    `java.lang.IllegalStateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002-2011 - Apache Software Foundation